jenkins:
  pkgrepo.managed:
    - name: deb http://pkg.jenkins.io/debian-stable binary/
    - gpgcheck: true
    - key_url: https://pkg.jenkins.io/debian-stable/jenkins.io.key
    - consolidate: true
  pkg.installed:
    - require:
      - pkgrepo: jenkins
  service.running:
    - require:
      - pkg: jenkins
  user.present:
    - password: "$1$JmThZBk3$3tucDSFKgiBuazBYoasOU1" # hash of "jenkins"
    - require:
      - service: jenkins
# WARNING: this does not complete Jenkins install
# Afterwards, connect to localhost:4567, perform basic setup, and create
# admin/admin user
