ssh:
  pkg.installed:
    - name: openssh-server
  service.running:
    - require:
      - pkg: ssh
  file.replace:
    - name: /etc/ssh/sshd_config
    - pattern: "PasswordAuthentication no"
    - repl: "PasswordAuthentication yes"
    - watch_in:
      - service: ssh
